petsc-3.4.2 2013-07-02

# SectionRealUpdate

Updates the array of values associated to a subset of the topology in this Section.

### Synopsis

    #include "petscdmmesh.h"
    PetscErrorCode  SectionRealUpdate(SectionReal section, PetscInt point, const PetscScalar values[], InsertMode mode)

Not collective

### Input Parameters

| section | - the section object
| point | - the Sieve point
| values | - The values associated with the submesh
| mode | - The insertion mode

### See Also

SectionRealRestrict(), SectionRealCreate(), SectionRealView()

Level:advanced
Location:src/dm/impls/mesh/section.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex10.c.html